---
lang: en
title: 'API docs: authorization.enforcer'
keywords: LoopBack 4.0, LoopBack 4, Node.js, TypeScript, OpenAPI
sidebar: lb4_sidebar
editurl: https://github.com/loopbackio/loopback-next/tree/master/packages/authorization
permalink: /doc/en/lb4/apidocs.authorization.enforcer.html
---

<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [@loopback/authorization](./authorization.md) &gt; [Enforcer](./authorization.enforcer.md)

## Enforcer interface

An enforcer of authorization policies

<b>Signature:</b>

```typescript
export interface Enforcer 
```

## Methods

|  Method | Description |
|  --- | --- |
|  [buildRequest(authorizationContext)](./authorization.enforcer.buildrequest.md) | Extract the request from authorization context |
|  [enforce(request)](./authorization.enforcer.enforce.md) | Decide if the request can be granted access |


